org.restlet.engine.log

## Class IdentClient

- java.lang.Object
- - org.restlet.engine.log.IdentClient

    public class IdentClient
    extends java.lang.Object

Simple IDENT client. Follow the RFC 1413.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`IdentClient(java.lang.String clientAddress, int clientPort, int serverPort)` Constructor.

### Method Summary

Methods
`java.lang.String` `getHostType()` Returns the remote host type.
`java.lang.String` `getUserIdentifier()` Returns the user identifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdentClient

    public IdentClient(java.lang.String clientAddress,
               int clientPort,
               int serverPort)

Constructor.

Parameters:
  `clientAddress` - The client IP address.
  `clientPort` - The client port (remote).
  `serverPort` - The server port (local).

### Method Detail

#### getHostType

    public java.lang.String getHostType()

Returns the remote host type.

Returns:
  The remote host type.

#### getUserIdentifier

    public java.lang.String getUserIdentifier()

Returns the user identifier.

Returns:
  The user identifier.